android-platform-system-core 1:8.1.0+r23-4~18.10 source package in Ubuntu

Changelog

android-platform-system-core (1:8.1.0+r23-4~18.10) cosmic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

android-platform-system-core (1:8.1.0+r23-4) unstable; urgency=medium

  * Use my Debian account in Uploaders
  * stdatomic.patch: Expose more symbols (Closes: #914685)
  * ENODATA-BSD.patch: Fix FTBFS on kFreeBSD

android-platform-system-core (1:8.1.0+r23-3) unstable; urgency=medium

  * Apply `-UDEBUG` to all compilations. This was spotted during my
    investigation into AOSP's build system.
  * Turn #error into exceptions on an unknown OS so the package can be built on
    non-Linux platforms as well, such as GNU hurd and FreeBSD.
  * Do not build C programs with a C++ compiler.
  * Move all debhelper plugins out of Build-Depends-Arch (Closes: #913144)
  * Rewrite stdatomic.patch so that it becomes self-contained.

android-platform-system-core (1:8.1.0+r23-2) unstable; urgency=medium

  * Move all Build-Depends to Build-Depends-Arch for there are several arch:all
    packages after all
  * Enable the following components to build on all architectures:
    * android-sdk-libsparse-utils
    * libbase
    * libcutils
    * liblog
    * libsparse
  * New packages for libnativebridge and libnativeloader as <!stage1> components

android-platform-system-core (1:8.1.0+r23-1) unstable; urgency=medium

  * Full upload (with fastboot) (Closes: #911262)
  * Remove unused build-dependencies after investigating fastboot:
    * libext4_utils
    * libselinux
    * libsepol
    * librt
    * libdl
  * Annotate with `Multi-Arch: foreign`:
    * android-sdk-libsparse-utils
    * adb
    * fastboot

android-platform-system-core (1:8.1.0+r23-1~stage1.3) unstable; urgency=medium

  * Release to unstable
  * Fix build failure with latest glibc 2.28 (thanks to Dimitri John Ledkov)
  * Break all versions of android-tools-fsutils as it's fully replaced now
  * img2simg as a transitional packages now breaks no package
  * Break the correct version of android-tools-mkbootimg
  * (Next time we should make it like XXX~stage1+3)

android-platform-system-core (1:8.1.0+r23-1~stage1.2) experimental; urgency=medium

  * Remove android-libadb-dev from MIPS. This finally fixes the FTBFS on MIPS.

android-platform-system-core (1:8.1.0+r23-1~stage1.1) experimental; urgency=medium

  * Do not build anything depending on BoringSSL when building on MIPS
    * Do not build-depend on Pandoc or libusb when building on MIPS
  * Standards-Version => 4.2.1
  * libadb: Link against libatomic so that the build won't fail on armel

android-platform-system-core (1:8.1.0+r23-1~stage1) experimental; urgency=medium

  * Fix FTBFS with GCC-7 (Closes: #853310)
  * Upgrade to Standards-Version 4.1.5
  * Drop MIPS support on ADB because of BoringSSL
  * Upgrade to debhelper 11
  * New package `mkbootimg` replacing `android-tools-mkbootimg`

  [ Hans-Christoph Steiner ]
  * Update bash completion
  * Remove repeated phrase from adb man page (Closes: #881349)
  * Switch to Salsa

  [ Umang Parmar]
  * New upstream release
  * Stage 1 release (without fastboot)
  * New binary packages for libcrypto_utils

  [ Saif Abdul Cassim ]
  * Fix FTCBFS thanks to Helmut Grohne (Closes: #852734)
  * New package android-sdk-libsparse-utils providing / replacing:
    * append2simg
    * img2simg
    * simg_dump
    * simg2img
    * simg2simg
    * Available on x86, ARM, MIPS (Closes: #895601)

android-platform-system-core (1:7.0.0+r33-2) unstable; urgency=medium

  * fix CVE-2017-0647 (Closes: #867229)

android-platform-system-core (1:7.0.0+r33-1) unstable; urgency=medium

  * New upstream release (Closes: #858177, #859081, #858942)

android-platform-system-core (1:7.0.0+r1-4) unstable; urgency=medium

  * transitional dummy packages for android-tools-adb / android-tools-fastboot
  * move adb log file to proper dir (Closes: #823792, #688280)
  * import upstream 7.0.0_r31 fixes for CVE-2016-3861 (Closes: #858177)

android-platform-system-core (1:7.0.0+r1-3) unstable; urgency=medium

  * install bash-completion for adb and fastboot (Closes: #856418, #856419)
  * use package version for adb/fastboot's --version (Closes: #856001)
  * fix depends built from this package to same version (Closes: #848852)

android-platform-system-core (1:7.0.0+r1-2) unstable; urgency=medium

  * Build tools for working with sparse images

android-platform-system-core (1:7.0.0+r1-1) unstable; urgency=medium

  * Full stage release (with fastboot)
  * d/control:
    * Add googletest to <!stage1> BDs
    * Unify the maintainer name to "Android Tools Maintainers"

android-platform-system-core (1:7.0.0+r1-1~stage1.1) unstable; urgency=medium

  * Upload to unstable
  * Stage 1 release (without fastboot)

android-platform-system-core (1:7.0.0+r1-1~stage1) experimental; urgency=medium

  * New upstream release
  * Stage 1 release (without fastboot)
  * New patches:
    - fs_prepare_path_impl_open_mode_missing.patch
    - Clang_nullability_type_qualifier.patch
  * Drop obsolete patches:
    - disable_android_set_abort_message.diff
    - fastboot_typo.diff
    - libutils_use_unique_ptr.diff
  * Update to debhelper 10
  * Enable builds for ARM & MIPS
  * d/control:
    - Improve package descriptions
    - adb recommends android-sdk-platform-tools-common for udev rules
  * Install documentations into /usr/share/doc/<package> instead of
    /usr/share/doc/<package>-doc

android-platform-system-core (1:6.0.1+r55-2) unstable; urgency=medium

  * Pick from experimental:
    - Update to debhelper 10
    - Improve package descriptions
  * Include android-libunwind-dev, libsafe-iop-dev, libssl-dev & pandoc in
    stage1 Build-Depends (Closes: #838542)

  [ Chirayu Desai ]
  New patches:
    * adb_libssl_diff: Bring comppatibility with OpenSSL 1.1 (Closes: #828233)
    * adb_libssl_bc.diff: Keep being compatible with OpenSSL < 1.1

android-platform-system-core (1:6.0.1+r55-1) unstable; urgency=medium

  * New upstream release.
  * debian: Add watch file for usage with uscan
  * debian/watch: recompress using xz
  * Define NDEBUG for c/cpp files. (Closes: #827216)

android-platform-system-core (1:6.0.1+r43-1) unstable; urgency=medium

  * New upstream release
  * Install libraries to DEB_HOST_MULTIARCH path (Closes: #826655, #826991)
  * d/control:
    - Standards-Version => 3.9.8 (no changes)
    - Drop transitional packages for libzipfile
    - Depends on the following to ensure linking libraries in multiarch path:
      - android-libext4-utils-dev (>= 6.0.1+r16-2)
      - android-libf2fs-utils-dev (>= 6.0.1+r16-2)
      - android-libunwind-dev (>= 6.0.1+r16-3)

android-platform-system-core (1:6.0.1+r16-3) unstable; urgency=medium

  * Fix package name typo: android-{zipfile=>libzipfile}(-dev)
  * Sponsored upload (Closes: #817863)

android-platform-system-core (1:6.0.1+r16-2) unstable; urgency=medium

  * android-platform-system-core-header Provides android-system-dev
  * android-libzipfile(-dev) returns as transisional dummy packages
  * adb and fastboot do not depend on android-sdk-platform-tools-common for now

android-platform-system-core (1:6.0.1+r16-1) unstable; urgency=medium

  * New upstream release (Closes: #806375)
  * Only execute build commands on amd64 & i386
  * d/control: adb & fastboot Provides their android-tools-* counterparts
  * Pull bash-completion for adb & fastboot from src:android-tools/5.1.1.r29-2
  * Add manpages for adb & fastboot

android-platform-system-core (1:6.0.0+r26-1) unstable; urgency=medium

  * Built without any build-profiles
    - Restore <!stage1> sections in d/control
    - Remove DEB_BUILD_PROFILES in d/rules
  * New fastboot_typo.diff: Fix typo

android-platform-system-core (1:6.0.0+r26-1~stage1.2) unstable; urgency=medium

  * upload to unstable

android-platform-system-core (1:6.0.0+r26-1~stage1.1) experimental; urgency=medium

  * d/control:
    - Use HTTPS for Vcs-Browser
    - Restrict AOSP packages to above 6.0.0
    - Breaks & Replaces: android-system-dev, android-liblog-dev (<< 1:6)
      (Closes: #813085, #813183)
    - Update Standards-Version to 3.9.7 (No change)

android-platform-system-core (1:6.0.0+r26-1~stage1) experimental; urgency=low

  * New upstream release
  * stage1 upload
    - Remove <!stage1> sections in d/control
    - export DEB_BUILD_PROFILES = stage1 in d/rules
  * Use traditional import-orig way to fetch source
  * Change version scheme to follow upstream
  * Makefiles independent from Quilt
  * Add support for Build-Profiles
  * New binary packages:
      - adb
      - android-libadb(-dev)
      - android-libbacktrace(-dev)
      - android-libbase(-dev)
      - android-libsparse(-dev)
      - android-libutils(-dev)
      - android-libziparchive(-dev)
      - android-platform-system-core-headers
      - fastboot
  * Remove android-libzipfile(-dev): Removed from upstream
  * New patches:
    - disable_android_set_abort_message.diff
    - add_missing_headers.diff: Various headers are missing which causes
      compiler errors
    - use_separated_cutils_atomic.diff: cutils/atomic.h uses stdatomic.h which
      is not supported by C++11
    - libutils_use_unique_ptr: Use std::unique_ptr instead of Bionic's one
  * d/control:
    - Add (Build-)Depends:
      - android-libunwind(-dev)
      - libsafe-iop-dev
      - android-platform-build-headers
    - Add myself to Uploaders
    - Change architecture to i386 & amd64
    - Fix Vcs-Git typo
    - Update android-liblog(-dev) package description

android-platform-system-core (21-6) unstable; urgency=low

  [Simon McVittie]
  * fix missing android_atomic_* symbols on i386 (Closes: #769646)

android-platform-system-core (21-5) unstable; urgency=low

  [Simon McVittie]
  * For each library where libwhatever.so moved from android-libwhatever
    to android-libwhatever-dev, the -dev Breaks/Replaces the runtime library
    (Closes: #770328)

android-platform-system-core (21-4) unstable; urgency=low

  * add versions to shared library names so dh can do auto dep detection
  * dh_shlibdeps misses libcutils dep on liblog, so force manually

android-platform-system-core (21-3) unstable; urgency=low

  * fix build to work on linux-any

android-platform-system-core (21-2) unstable; urgency=low

  * make android-system-dev available on all archs

android-platform-system-core (21-1) unstable; urgency=low

  * Initial release. (Closes: #747926)

 -- Matthias Klose <email address hidden>  Mon, 11 Mar 2019 15:13:26 +0100

Upload details

Uploaded by:
Matthias Klose on 2019-03-13
Sponsored by:
Tiago Stürmer Daitx
Uploaded to:
Cosmic
Original maintainer:
Android tools Maintainer
Architectures:
any all
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
android-platform-system-core_8.1.0+r23.orig.tar.xz 2.3 MiB c533e46d9bda7cb0c0308418e7af297840dfc912d8b703525b1137cd93448cfa
android-platform-system-core_8.1.0+r23-4~18.10.debian.tar.xz 23.3 KiB d3f30c96fc92f46e495c08f011056748bacdf133a87118a51bb5c2d928490a8d
android-platform-system-core_8.1.0+r23-4~18.10.dsc 5.8 KiB 0a5fb55ef4af250b90aee641e162aebc8dda7cb3e5bf38ed32e29c80ceb4d44b

View changes file

Binary packages built by this source

adb: Android Debug Bridge

 A versatile command line tool that lets you communicate with an emulator
 instance or connected Android-powered device.
 .
 This package recommends "android-sdk-platform-tools-common" which contains
 the udev rules for Android devices. Without this package, adb and fastboot need
 to be running with root permission.

adb-dbgsym: debug symbols for adb
android-libadb: Library for Android Debug Bridge

 This library provides APIs for accessing and controlling Android devices.
 .
 This library is only used by Android SDK currently.

android-libadb-dbgsym: debug symbols for android-libadb
android-libadb-dev: Library for Android Debug Bridge - Development files

 This library provides APIs for accessing and controlling Android devices.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

android-libbacktrace: Android backtrace library

 This library is only used by Android SDK currently.

android-libbacktrace-dbgsym: debug symbols for android-libbacktrace
android-libbacktrace-dev: Android backtrace library - Development files

 This library is only used by Android SDK currently.
 .
 This package contains the development files.

android-libbase: Android base library

 This library provides APIs for basic tasks like handling files, Unicode
 strings, logging, memory allocation, integer parsing, etc..
 .
 This library is only used by Android SDK currently.

android-libbase-dbgsym: debug symbols for android-libbase
android-libbase-dev: Android base library - Development files

 This library provides APIs for basic tasks like handling files, Unicode
 strings, logging, memory allocation, integer parsing, etc..
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

android-libcrypto-utils: Android crypto-utils library

 This library provides utility APIs for cryptography.
 .
 This library is only used by Android SDK currently.

android-libcrypto-utils-dbgsym: debug symbols for android-libcrypto-utils
android-libcrypto-utils-dev: Android crypto-utils library - Development files

 This library provides utility APIs for cryptography.
 .
 This library is only used by Android SDK currently.
 .
 This package provides the development files.

android-libcutils: Android utils library for C

 This library provides common functionalities for android related tools.
 .
 This library is only used by Android SDK currently.

android-libcutils-dbgsym: debug symbols for android-libcutils
android-libcutils-dev: Android utils library for C - Development files

 This library provides common functionalities for android related tools.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

android-liblog: Android NDK logger interfaces

 liblog represents an interface to the volatile Android Logging system for NDK
 (Native) applications and libraries. Interfaces for either writing or reading
 logs. The log buffers are divided up in Main, System, Radio and Events
 sub-logs.

android-liblog-dbgsym: debug symbols for android-liblog
android-liblog-dev: Android NDK logger interfaces - Development files

 liblog represents an interface to the volatile Android Logging system for NDK
 (Native) applications and libraries. Interfaces for either writing or reading
 logs. The log buffers are divided up in Main, System, Radio and Events
 sub-logs.
 .
 This package contains the development files.

android-libnativebridge: Android native bridge library

 This library is only used by Android SDK currently.

android-libnativebridge-dbgsym: debug symbols for android-libnativebridge
android-libnativebridge-dev: Android native bridge library - Development files

 This library is only used by Android SDK currently.
 .
 This package provides the development files.

android-libnativeloader: Android native loader library

 This library is only used by Android SDK currently.

android-libnativeloader-dbgsym: debug symbols for android-libnativeloader
android-libnativeloader-dev: Android native loader library - Development files

 This library is only used by Android SDK currently.
 .
 This package provides the development files.

android-libsparse: Library for sparse files

 This library provides APIs for creating, manipulating and destroying sparse
 files.
 .
 This library is only used by Android SDK currently.

android-libsparse-dbgsym: debug symbols for android-libsparse
android-libsparse-dev: Library for sparse files - Development files

 This library provides APIs for creating, manipulating and destroying sparse
 files.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

android-libutils: Android Utility Function Library

 This library provides miscellaneous utility functions.
 .
 This library is only used by Android SDK currently.

android-libutils-dbgsym: debug symbols for android-libutils
android-libutils-dev: Android Utility Function Library - Development files

 This library provides miscellaneous utility functions.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

android-libziparchive: Library for ZIP archives

 This library provides APIs for creating and manipulating ZIP archives.
 .
 This library is only used by Android SDK currently.

android-libziparchive-dbgsym: debug symbols for android-libziparchive
android-libziparchive-dev: Library for ZIP archives - Development files

 This library provides APIs for creating and manipulating ZIP archives.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

android-platform-system-core-headers: Shared headers in AOSP repository platform/system/core

 This package contains header files in AOSP repository platform/system/core that
 do not belong to any specific libraries but used by other programs.
 .
 This package currently contains headers in include/private and include/system.

android-sdk-libsparse-utils: Android sparse image creation tool

 Command line tools to create sparse images for usage with Android devices.
 Includes simgimg, img2simg, simg2simg, simg_dump and append2simg tools.

android-sdk-libsparse-utils-dbgsym: debug symbols for android-sdk-libsparse-utils
android-tools-adb: transitional package

 This is a transitional package. It can safely be removed.

android-tools-fastboot: transitional package

 This is a transitional package. It can safely be removed.

android-tools-mkbootimg: transitional package

 This is a transitional package. It can safely be removed.

append2simg: Transitional package

 This is a transitional package. It can safely be removed.

fastboot: Android fastboot tool

 A command line tool for flashing an Android device, boot an Android device to
 fastboot mode, etc..

fastboot-dbgsym: debug symbols for fastboot
img2simg: Transitional package

 This is a transitional package. It can safely be removed.

mkbootimg: Creates Android boot images

 Creates Android boot images that includes kernel image and ramdisk, in a
 special format which can be used with fastboot.

simg2img: Transitional package

 This is a transitional package. It can safely be removed.